> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Disks

> List all the disks

List all disks in a project. Returns information about each disk including size, type, and attachment status.


## OpenAPI

````yaml GET /projects/{id}/disks
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /projects/{id}/disks:
    get:
      tags: []
      summary: List Disks
      description: List all the disks
      parameters:
        - name: id
          in: path
          description: Project id
          required: true
          example: b3e571f6-c87d-4135-8081-ab219e92544e
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        attached_to:
                          type: array
                          items:
                            type: object
                            properties:
                              vm_id:
                                type: string
                              attachment_type:
                                type: string
                              mode:
                                type: string
                            required:
                              - vm_id
                              - attachment_type
                              - mode
                        block_size:
                          type: integer
                        location:
                          type: string
                        serial_number:
                          type: string
                        size:
                          type: string
                          description: >-
                            Disk size in gibibytes (GiB) or tebibytes (TiB) in
                            the format [Size][GiB|TiB]
                        type:
                          type: string
                        created_at:
                          type: string
                        updated_at:
                          type: string
                      required:
                        - id
                        - name
                        - attached_to
                        - block_size
                        - location
                        - serial_number
                        - size
                        - type
                        - created_at
                        - updated_at
                required:
                  - items
              examples:
                '1':
                  summary: Success
                  value:
                    items:
                      - attached_to:
                          - attachment_type: string
                            mode: string
                            vm_id: 123e4567-e89b-12d3-a456-426614174000
                        block_size: 4096
                        created_at: '2021-12-03T19:58:34Z'
                        id: 123e4567-e89b-12d3-a456-426614174000
                        location: us-northcentral1-a
                        name: my-disk
                        serial_number: 96FD14FDBCF7E21E8EC
                        size: 10GiB
                        type: persistent-ssd
                        updated_at: '2021-12-03T19:58:34Z'
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````